<?php
namespace Claromentis\Documents\Event;

$GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"] ?: array()) + array("_374bf250a" . "2cd00d5f57" . "42fea7c487" . "197" => base64_decode("ZG9jdW1" . "lbnRfdG" . "l0bGU="), "_af9f5df" . "6df6e4ab" . "6fd5318e" . "89962707" . "8" => base64_decode("ZG9jdW1lb" . "nRfdHlwZQ" . "=="));
use Claromentis\Core\Event\GenericEvent;


class ViewDocumentEvent extends GenericEvent
{
    
    
    
    
    private $error_message = '';
    public function GetDocumentTitle()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_374bf250a2cd00d5f57" . "42fea7c487197"]);
    }
    public function GetDocumentType()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_af9f5df6df6e" . "4ab6fd5318e89" . "9627078"]);
    }
    public function GetErrorMessage()
    {
        return $this->error_message;
    }
    public function SetErrorMessage($error_message)
    {
        $this->error_message = $error_message;
    }
}